org.apache.catalina.tribes.membership

## Class McastServiceImpl.RecoveryThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.catalina.tribes.membership.McastServiceImpl.RecoveryThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  McastServiceImpl

    protected static class McastServiceImpl.RecoveryThread
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`McastServiceImpl.RecoveryThread(McastServiceImpl parent)`

### Method Summary

Methods
`static void` `recover(McastServiceImpl parent)`
`void` `run()`
`boolean` `startService()`
`boolean` `stopService()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### McastServiceImpl.RecoveryThread

    public McastServiceImpl.RecoveryThread(McastServiceImpl parent)

### Method Detail

#### recover

    public static void recover(McastServiceImpl parent)

#### stopService

    public boolean stopService()

#### startService

    public boolean startService()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`